﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=9.9
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: True
#End Region
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Public SendPrintBuffer As String
	Private Printer1 As EscPosPrinter
	Private PrintBackActivity As Object
End Sub
Sub Service_Create
	'This is the program entry point.
	'This is a good place to load resources that are not specific to a single activity.
End Sub
Sub Service_Start (StartingIntent As Intent)
	Service.StopAutomaticForeground 'Starter service can start in the foreground state in some edge cases.
End Sub
Sub Service_TaskRemoved
	'This event will be raised when the user removes the app from the recent apps list.
End Sub
'Return true to allow the OS default exceptions handler to handle the uncaught exception.
Sub Application_Error (Error As Exception, StackTrace As String) As Boolean
	Return True
End Sub
Sub Service_Destroy

End Sub

#Region Impresora
public Sub PrintBluetooth(actividad As Object, MacAddress As String)
	PrintBackActivity = actividad
	'SI ESTA CONECTADO DESCONECTA
	If Printer1.IsInitialized And Printer1.IsConnected Then
		Log("Starter_IMPRIMIR_DESCONECTANDO...")
		Printer1.DisConnect
		Sleep(1000)
	End If
	'INICIA PRINTER
	Printer1.Initialize(Me, "Printer1")
	If Printer1.IsBluetoothOn = False Then
		ToastMessageShow("Habilite Bluetooth y conecte una impresora Bluetooth",True)
		If IsPaused(PrintBackActivity) = False Then
			If SubExists(PrintBackActivity, "BTPrint_Terminated") Then
				CallSub2(PrintBackActivity, "BTPrint_Terminated",False)
			End If
		End If
	Else If Printer1.IsConnected = False Then
		Printer1.ConnectMacAddress(MacAddress)
	End If
End Sub
private Sub Printer1_Connected(Success As Boolean)
	If Success Then
		Dim copias As String =  1
		For i=1 To copias
			If SendPrintBuffer<>"" Then
				Printer1.Reset
				Printer1.WriteString(SendPrintBuffer) 'comenta esta linea para solo firma
				Printer1.WriteString(CRLF)
				Printer1.WriteString(CRLF)
			End If
		Next
		SendPrintBuffer=""
	Else
		Log(Printer1.ConnectedErrorMsg)
		ToastMessageShow("Error conexion impresora... Espere y vuelva a intentar imprimir o Reinicie impresora" & CRLF & CRLF & Printer1.ConnectedErrorMsg, True)
		Printer1.DisConnect
	End If
End Sub
Private Sub Printer1_NewData (Buffer() As Byte)
End Sub
Private Sub Printer1_Terminated
	If IsPaused(PrintBackActivity) = False Then
		If SubExists(PrintBackActivity, "BTPrint_Terminated") Then
			CallSub2(PrintBackActivity, "BTPrint_Terminated",True)
		End If
	End If
End Sub
Private Sub Printer1_Error
	If LastException.Message<>"" Then ToastMessageShow(LastException.Message, True)
	If IsPaused(PrintBackActivity) = False Then
		If SubExists(PrintBackActivity, "BTPrint_Terminated") Then
			CallSub2(PrintBackActivity, "BTPrint_Terminated",False)
		End If
	End If
End Sub
#end region